package ru.dbotthepony.kbox2d.api

import ru.dbotthepony.kvector.vector.ndouble.Vector2d

interface IMovable {
	/**
	 * Shift the world origin. Useful for large worlds.
	 * The shift formula is: position -= newOrigin
	 * @param newOrigin the new origin with respect to the old origin
	 */
	fun shiftOrigin(newOrigin: Vector2d)
}
